<?php
#############################################################
# Project:      bCounter                                    #
# File:         details_os.php                              #
# Decription:   statistics of operating systems
#               used by site visitors
#                                                           #
# Copyright (c) Alexander Bondar (http://bondar.de/)        #
#############################################################

    $strTitle .= ' | Details | Betriebssysteme';

    $strDivBody .= '<h2>Diagramm</h2>';
    $strDivBody .= '<div class="table">';
    $strDivBody .= '<img src="./'.$bCounter->get_graph_name( "os" ).'" width="800" height="300" alt="Betriebssysteme" />';
    $strDivBody .= '</div>';

    $strDivBody .= '<h2>Charts</h2>';
    $strSQLstring = "SELECT count(*) FROM ".$bCounter_dbPrefix."visits WHERE type='human' AND os!='unknown'";
    $iBesucherGesamt = mysql_result( $bCounterDB->query($strSQLstring), 0, 0 );
    $strSQLstring = "SELECT *, count(os) AS anzahl
                     FROM ".$bCounter_dbPrefix."visits
                     WHERE type='human' AND os!='unknown'
                     GROUP BY os, os_version
                     ORDER BY anzahl DESC, os ASC";
    $SQLresult_all = $bCounterDB->query($strSQLstring);

    $strDivBody .= '<table>'."\n";
    $strDivBody .= '<tr><th>#</th><th>Betriebssystem</th><th>Anzahl</th><th>Anteil</th></tr>'."\n";
    for ( $i = 0; $i < mysql_num_rows($SQLresult_all); $i++ ) {
        $strOS       = mysql_result($SQLresult_all, $i, "os");
        $strOS_ver   = mysql_result($SQLresult_all, $i, "os_version");
        $iBesucher   = mysql_result($SQLresult_all, $i, "anzahl");
        $strDivBody .= '<tr>'."\n";
        $strDivBody .= '<td class="right">'.($i+1).'.</td>'."\n";
        $strDivBody .= '<td><img src="./img/os/'.getOSstring_img($strOS, $strOS_ver).'.png" width="14" height="14" alt="'.getOSstring($strOS, $strOS_ver).'" />&nbsp;'.getOSstring($strOS, $strOS_ver).'</td>'."\n";
        $strDivBody .= '<td class="right">'.zahl($iBesucher).'</td>'."\n";
        $strDivBody .= '<td class="right">'.zahl(100*$iBesucher/$iBesucherGesamt, 2).'%</td>'."\n";
        $strDivBody .= '</tr>'."\n";
    }
    $strDivBody .= '<tr>'."\n";
    $strDivBody .= '<td></td>'."\n";
    $strDivBody .= '<td class="right"><i>'.mysql_num_rows($SQLresult_all).' gesamt</i></td>'."\n";
    $strDivBody .= '<td class="right">'.zahl($iBesucherGesamt).'</td>'."\n";
    $strDivBody .= '<td class="right"></td>'."\n";
    $strDivBody .= '</tr>'."\n";

# Uneindeutige Kennungen anzeigen, falls vorhanden
    $strSQLstring = "SELECT count(*) FROM ".$bCounter_dbPrefix."visits WHERE type='human' AND os='unknown'";
    $SQLresult = $bCounterDB->query($strSQLstring);
    if ( @mysql_result( $SQLresult, 0, 0 ) > 0 ) {
        $strDivBody .= '<tr>'."\n";
        $strDivBody .= '<td></td>'."\n";
        $strDivBody .= '<td class="right"><a href="?load=visits_undetermined">Uneindeutig</a></td>'."\n";
        $strDivBody .= '<td class="right">'.zahl( mysql_result($SQLresult, 0, 0) ).'</td>'."\n";
        $strDivBody .= '<td class="right"></td>'."\n";
        $strDivBody .= '</tr>'."\n";
    }
    $strDivBody .= '</table>'."\n";
?>